#ifndef HELPERS_H
#define HELPERS_H


#include <vector>
#include <string>

using namespace std;

class Helpers
{
public:
    Helpers();
    static void splitStr(const string &toSplit, vector<string> *target, char seperator);
    static int strToInt(const string &aString);
    static string intToStr(const int &aInt);
    static int hexStrToDecInt(const string &aString);
    static int binStrToDecInt(const string &aString);
    static string intToBinaryStr(unsigned int i);
    static string intToHexStr(unsigned int i, unsigned int fill);
    static string build2Complement(const string &binaryValues);
    static void strToLower(string &aString);
    static string replace(const string &sourceStr, const string &oldStr, const string &newStr);

};

#endif // HELPERS_H

