#ifndef INSTRUCTIONLIST_H
#define INSTRUCTIONLIST_H

#include <vector>
#include <string>

#include "instruction.h"

using namespace std;

class InstructionList
{
private:
    std::vector<Instruction*> instructions;
public:
    InstructionList(const string &filename);
    unsigned int size();
    Instruction* getInstruction(int i);
    Instruction* getInstructionOfInstructionStr(const string &instructionStr);
    Instruction* getInstructionOfBitcodeStr(const string &bitcodeStr);
};

#endif // INSTRUCTIONLIST_H
